import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import "core-js/modules/es.function.name.js";
import { h } from "@vue/composition-api";
import { defineComponent } from 'vue-demi';
import { Bar } from '@antv/g2plot';
import BaseChart from '../../components/base';
var BarChart = defineComponent({
  name: 'BarChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": Bar
        }
      }, ctx.attrs, {}, props]));
    };
  }
});
/* istanbul ignore next */

BarChart.install = function (app) {
  app.component(BarChart.name, BarChart);
};

export default BarChart;